Package org.eigenbase.xom

# Class ParserTester

java.lang.Object
org.eigenbase.xom.ParserTester

public class ParserTester extends Object
Test the MSParser

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) String`
`dtdUrl`
`(package private) String`
`modelDocType`

## Constructor Summary

Constructors
Constructor
Description
`ParserTester(String dtdFile, int parserType)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
The ParserTester tests MSXML parser and Xerces Parser.
`void`
`testFile(String testFile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelDocType

String modelDocType

### dtdUrl

String dtdUrl

## Constructor Details

### ParserTester

public ParserTester(String dtdFile, int parserType) throws XOMException, IOException

Throws:
  `XOMException`
  `IOException`

## Method Details

### testFile

public void testFile(String testFile) throws XOMException

Throws:
  `XOMException`

### main

public static void main(String[] args) throws XOMException, IOException
The ParserTester tests MSXML parser and Xerces Parser. Arguments:

1. The DTD file of the XML file
2. The XML file for this DTD file

Throws:
  `XOMException`
  `IOException`